Skip to main content
POST
/
v1
/
customer_balance_transactions
/
{id}
Update a customer balance transaction
curl --request POST \
  --url https://api.yorlet.com/v1/customer_balance_transactions/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "application": "<string>"
}
'
{
  "id": "<string>",
  "created": 123,
  "object": "customer_balance_transaction",
  "amount": 123,
  "currency": "<string>",
  "customer": "<string>",
  "description": "<string>",
  "ending_balance": 123,
  "invoice": "<string>",
  "account": "<string>",
  "deleted": false,
  "application": null
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Body

application/json
application
string | null

The ID of the application to reserve this balance for, or null to make it unscoped.

Response

200 - application/json

Update a customer balance transaction

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
customer_balance_transaction
amount
integer
required

The amount of the transaction.

currency
string
required

The currency of the transaction.

customer
required

The customer this transaction is for.

description
string | null
required

An arbitrary string attached to the object. Often useful for displaying to users.

ending_balance
integer
required

The ending balance of the transaction.

invoice
string | null
required

The invoice attached to the transaction.

type
enum<string> | null
required

The type of the transaction.

Available options:
adjustment,
advance_rent,
applied_to_invoice,
credit_note,
holding_fee,
payment,
refund,
unapplied_from_invoice,
null
account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.

application
string | null

The ID of the application this balance is reserved for, if scoped.